# CodeIgniter User Guide Version 2.1.1

Search User Guide

# Getting Started With CodeIgniter

Any software application requires some effort to learn. We've done our best to minimize the learning curve while making the process as enjoyable as possible.

The first step is to install CodeIgniter, then read all the topics in the Introduction section of the Table of Contents.

Next, read each of the General Topics pages in order. Each topic builds on the previous one, and includes code examples that you are encouraged to try.

Once you understand the basics you'll be ready to explore the Class Reference and Helper Reference pages to learn to utilize the native libraries and helper files.

Feel free to take advantage of our Community Forums if you have questions or problems, and our Wiki to see code examples posted by other users.